<?php

namespace App\Entity\Dream;

use App\Entity\CollectifData\CollectifData;
use Lc\PietroBundle\Repository\Dream\DreamRepository;
use Doctrine\ORM\Mapping as ORM;
use Lc\PietroBundle\Model\Dream\Dream as PietroDream;

/**
 * @ORM\Entity(repositoryClass=DreamRepository::class)
 */
class Dream extends PietroDream
{

    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity=CollectifData::class, inversedBy="dream")
     */
    private $collectifData;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCollectifData(): ?CollectifData
    {
        return $this->collectifData;
    }

    public function setCollectifData(?CollectifData $collectifData): self
    {
        $this->collectifData = $collectifData;

        return $this;
    }
}
